diff --git a/util/mount.fuse.c b/util/mount.fuse.c
index 363b12b8..bfe6b304 100644
--- a/util/mount.fuse.c
+++ b/util/mount.fuse.c
@@ -87,6 +87,7 @@ int main(int argc, char *argv[])
 	int i;
 	int dev = 1;
 	int suid = 1;
+	int fail = 1;
 
 	progname = argv[0];
 	basename = strrchr(argv[0], '/');
@@ -126,7 +127,7 @@ int main(int argc, char *argv[])
 				fprintf(stderr,
 					"%s: missing argument to option '-t'\n",
 					progname);
-				exit(1);
+				exit(fail);
 			}
 			type = argv[i];
 			if (strncmp(type, "fuse.", 5) == 0)
@@ -138,7 +139,7 @@ int main(int argc, char *argv[])
 				fprintf(stderr,
 					"%s: empty type given as argument to option '-t'\n",
 					progname);
-				exit(1);
+				exit(fail);
 			}
 		} else	if (strcmp(argv[i], "-o") == 0) {
 			char *opts;
@@ -173,6 +174,8 @@ int main(int argc, char *argv[])
 						dev = 0;
 					else if (strcmp(opt, "nosuid") == 0)
 						suid = 0;
+					else if (strcmp(opt, "nofail") == 0)
+						fail = 0;
 
 					options = add_option(opt, options);
 				}
@@ -195,11 +198,11 @@ int main(int argc, char *argv[])
 			if (!type[0]) {
 				fprintf(stderr, "%s: empty filesystem type\n",
 					progname);
-				exit(1);
+				exit(fail);
 			}
 		} else {
 			fprintf(stderr, "%s: empty source\n", progname);
-			exit(1);
+			exit(fail);
 		}
 	}
 
@@ -228,5 +231,5 @@ int main(int argc, char *argv[])
 	execl("/bin/sh", "/bin/sh", "-c", command, NULL);
 	fprintf(stderr, "%s: failed to execute /bin/sh: %s\n", progname,
 		strerror(errno));
-	return 1;
+	return fail;
 }
